#include <QCoreApplication>
#include <QList>
#include <QVariant>
#include <QDebug>

#include "../../../kabase/application_access.hpp"

#include "fun.hpp"

int main(int argc, char *argv[])
{
    QCoreApplication app(argc, argv);

    kdk::kabase::ApplicationAccess applicationAccess;

    Fun fun;
    applicationAccess.exportFunc(kdk::kabase::KylinIpmsg, &fun);

    QList<QVariant> args;
    args << 2 << 4;

    QList<QVariant> ret = applicationAccess.callMethod(kdk::kabase::KylinFontViewer, "add", args);
    if (!ret.isEmpty()) {
        qInfo() << "call success ret is " << ret.at(0).toInt();
    }

    return app.exec();
}