#ifndef WIDGET_H
#define WIDGET_H

#include "kwidget.h"
#include "kswitchbutton.h"
#include "kborderlessbutton.h"
#include <QLabel>

using namespace kdk;

class Widget : public KWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private:
    KSwitchButton* m_pSwitchBtn1;
    QLabel* m_pLabel1;
    KBorderlessButton* m_pBtn1;
    KSwitchButton* m_pSwitchBtn2;
    QLabel* m_pLabel2;
    KBorderlessButton* m_pBtn2;
    KSwitchButton* m_pSwitchBtn3;
    QLabel* m_pLabel3;
    KBorderlessButton* m_pBtn3;
};
#endif // WIDGET_H
