#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include "kwidget.h"
#include "kballontip.h"

using namespace kdk;

class Widget : public KWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private:
    //Nothing
    KBallonTip* m_pNothingTip;
    //Normal
    KBallonTip* m_pNormalTip;
    //Info
    KBallonTip* m_pInfoTip;
    //Warning
    KBallonTip* m_pWarningTip;
    //Error
    KBallonTip* m_pErrorTip;
};
#endif // WIDGET_H
