#include <QApplication>
#include <QDebug>
#include <QWidget>

#include "singleapplication.h"

int main(int argc, char *argv[])
{
    kdk::QtSingleApplication app(argc, argv);

    /* 设置单例 */
    if (app.isRunning()) {
        qDebug() << "app is running";
        app.sendMessage("running", 4000);
        return 0;
    }

    QWidget widget;

    /* 设置最小化拉起 */
    app.setActivationWindow(&widget);

    widget.show();

    return app.exec();
}