#include <QCoreApplication>
#include <QList>
#include <QVariant>
#include <QDebug>

#include "../../../kabase/application_access.hpp"

#include "fun.hpp"

int main(int argc, char *argv[])
{
    QCoreApplication app(argc, argv);

    Fun fun;

    kdk::kabase::ApplicationAccess applicationAccess;
    applicationAccess.exportFunc(kdk::kabase::KylinFontViewer, &fun);

    QList<QVariant> args;
    args << 4 << 9;
    QList<QVariant> ret = applicationAccess.callMethod(kdk::kabase::KylinIpmsg, "ride", args);
    if (!ret.isEmpty()) {
        qInfo() << "ride is " << ret.at(0).toInt();
    }

    app.exec();
}