#ifndef IMAGE_TEST_H_
#define IMAGE_TEST_H_

#include <QLabel>
#include <QWidget>
#include <QPushButton>
#include <QImage>
#include <QLineEdit>
#include <QList>
#include <QVBoxLayout>
#include <QPixmap>

class ImageTest : public QWidget
{
public:
    ImageTest();
    ~ImageTest();

public slots:
    void showImage(void);

private:
    void initWidget(void);
    void getAllImagePath(QString dirPath);
    QPixmap loadImage(QString path);

    QList<QString> m_imageList;

    QLabel *m_showImageLabel;
    QLineEdit *m_imagePath;
    QPushButton *m_nextImageLabel;
    QVBoxLayout *m_vLayout;
};

#endif