#ifndef WIDGET_H
#define WIDGET_H

#include "kwidget.h"
#include "kprogressbar.h"
#include <QPushButton>
#include <QTimer>

using namespace kdk;
class Widget : public KWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private:
    KProgressBar* m_pVerticalBar;
    KProgressBar* m_pHorizontalBar;
    QPushButton* m_pStartBtn;
    QPushButton* m_pStopBtn;
    QPushButton* m_pRestoreBtn;
    QTimer* m_pTimer;
};
#endif // WIDGET_H
