#include "kwidgetutils.h"
#include <QApplication>
#include <QGuiApplication>
#include <QDebug>

using namespace kdk;

KWidgetUtils::KWidgetUtils()
{

}

void KWidgetUtils::highDpiScaling()
{
#if (QT_VERSION >= QT_VERSION_CHECK(5, 6, 0))
    QApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QApplication::setAttribute(Qt::AA_UseHighDpiPixmaps);
    qDebug()<<"setAttribute success";
#endif
#if (QT_VERSION >= QT_VERSION_CHECK(5, 14, 0))
    QApplication::setHighDpiScaleFactorRoundingPolicy(Qt::HighDpiScaleFactorRoundingPolicy::PassThrough);
    qDebug()<<"setHighDpiScaleFactorRoundingPolicy success";
#endif
}
